%define upstream_name    Directory-Iterator-PP
%define upstream_version 1.001004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Recursively list file contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Directory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The module creates a list-like generator to recursively list files in a
directory. The directories are scanned as the list is consumed, so only the
one directory handle and a list of directories to scan are stored in
memory.

METHODS
    * *new*(_DIRECTORY_)

      Create a new instance on the specified _DIRECTORY_, which must be the
      name of an existing directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-2.mga4
+ Revision: 527626
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.1.4-1.mga4
+ Revision: 441544
- update to 1.001004

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 365975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.1.2-1.mga3
+ Revision: 342078
- update to 1.001002

* Tue Nov 06 2012 jquelin <jquelin> 1.0.1-1.mga3
+ Revision: 315048
- update to 1.000001

* Mon Oct 08 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 303454
- imported package perl-Directory-Iterator-PP


* Mon Oct 08 2012 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
